PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
plask::SegmentSetMember< DIR, Compare > Struct Template Reference
Inheritance diagram for plask::SegmentSetMember< DIR, Compare >:
[legend]
Collaboration diagram for plask::SegmentSetMember< DIR, Compare >:
[legend]

## Public Member Functions
| SegmentSetMember ()=default
| SegmentSetMember (const TriangularMesh2D &mesh, const TriangularMesh2D::Segment &segment)
bool | operator< (const SegmentSetMember &other) const
bool | operator== (const SegmentSetMember &other) const
bool | dominates (const TriangularMesh2D &mesh, const Vec< 2, double > &point) const
| Check if this segment dominate given point.

## Public Attributes
TriangularMesh2D::Segment | segment
double | min
double | max

## Static Public Attributes
static constexpr int | SEG_DIR = 1 - DIR

## Detailed Description

template<int DIR, template< class > class Compare = std::less>
struct plask::SegmentSetMember< DIR, Compare >

Definition at line 201 of file triangular2d.cpp.

## Constructor & Destructor Documentation

## ◆ SegmentSetMember() [1/2]

template<int DIR, template< class > class Compare = std::less>

plask::SegmentSetMember< DIR, Compare >::SegmentSetMember | ( |  | ) |
| default

## ◆ SegmentSetMember() [2/2]

template<int DIR, template< class > class Compare = std::less>

plask::SegmentSetMember< DIR, Compare >::SegmentSetMember | ( | const TriangularMesh2D & | mesh,
|  | const TriangularMesh2D::Segment & | segment
| ) |  |
| inline

Definition at line 210 of file triangular2d.cpp.

## Member Function Documentation

## ◆ dominates()

template<int DIR, template< class > class Compare = std::less>

bool plask::SegmentSetMember< DIR, Compare >::dominates | ( | const TriangularMesh2D & | mesh,
|  | const Vec< 2, double > & | point
| ) |  | const
| inline

Check if this segment dominate given point.

Parameters

  mesh |
  point |

Returns
  whether this segment dominate given point

Definition at line 235 of file triangular2d.cpp.

## ◆ operator<()

template<int DIR, template< class > class Compare = std::less>

bool plask::SegmentSetMember< DIR, Compare >::operator< | ( | const SegmentSetMember< DIR, Compare > & | other | ) | const
| inline

Definition at line 220 of file triangular2d.cpp.

## ◆ operator==()

template<int DIR, template< class > class Compare = std::less>

bool plask::SegmentSetMember< DIR, Compare >::operator== | ( | const SegmentSetMember< DIR, Compare > & | other | ) | const
| inline

Definition at line 225 of file triangular2d.cpp.

## Member Data Documentation

## ◆ max

template<int DIR, template< class > class Compare = std::less>

double plask::SegmentSetMember< DIR, Compare >::max

Definition at line 206 of file triangular2d.cpp.

## ◆ min

template<int DIR, template< class > class Compare = std::less>

double plask::SegmentSetMember< DIR, Compare >::min

Definition at line 206 of file triangular2d.cpp.

## ◆ SEG_DIR

template<int DIR, template< class > class Compare = std::less>

constexpr int plask::SegmentSetMember< DIR, Compare >::SEG_DIR = 1 - DIR
| static constexpr

Definition at line 203 of file triangular2d.cpp.

## ◆ segment

template<int DIR, template< class > class Compare = std::less>

TriangularMesh2D::Segment plask::SegmentSetMember< DIR, Compare >::segment

Definition at line 205 of file triangular2d.cpp.

The documentation for this struct was generated from the following file:

- plask/mesh/triangular2d.cpp